<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>all demo</title>
  <style>
  h3 {
    margin: 0;
  }
  div, span, p {
    width: 80px;
    height: 40px;
    float: left;
    padding: 10px;
    margin: 10px;
    background-color: #EEEEEE;
  }
  </style>
  <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
</head>
<body>
 
<div class='ok' id='pk'>DIV</div>

<span>SPAN</span>

<p class="fine" class="data" style='color: green; font-family: tahoma'>P <button>Button</button></p>
 
<script>
$("*").click(function(event){
	if(this === event.target)
	alert(event.target.tagName);
    // console.log('h')
    // console.log(this.attributes)
    
    // $(this.attributes).each(function(index, attribute) {
    // 	console.log(attribute.nodeName + "::" + attribute.nodeValue);
    // })

    $(this).each(function() {
      $.each(this.attributes, function() {
        // this.attributes is not a plain object, but an array
        // of attribute nodes, which contain both the name and value
        if(this.specified) {
          console.log(this.name, this.value);
        }
      });
    });
})
</script>
 
</body>
</html>